> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Nexus For Org

> Get a list of all nexuses for the organization.



## OpenAPI

````yaml get /v1/nexus
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/nexus:
    get:
      tags:
        - Nexus
      summary: Get Nexus For Org
      description: Get a list of all nexuses for the organization.
      operationId: get_nexus_for_org_v1_nexus_get
      parameters:
        - name: without_pagination
          in: query
          required: false
          schema:
            type: boolean
            description: Return all results without pagination
            default: false
            title: Without Pagination
          description: Return all results without pagination
        - name: disregard_view
          in: query
          required: false
          schema:
            description: 'Filter nexuses by disregard view: ''exposed'' or ''disregarded'''
            type: string
          description: 'Filter nexuses by disregard view: ''exposed'' or ''disregarded'''
        - name: status__in
          in: query
          required: false
          schema:
            default: >-
              APPROACHING,NOT_EXPOSED,PENDING_REGISTRATION,EXPOSED,APPROACHING,REGISTERED
            type: string
        - name: state_code
          in: query
          required: false
          schema:
            type: string
        - name: country_code__in
          in: query
          required: false
          schema:
            type: string
        - name: order_by
          in: query
          required: false
          schema:
            default: state_code,country_code
            type: string
        - name: collected_tax_nexus_met
          in: query
          required: false
          schema:
            type: boolean
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_NexusResponse_'
                title: Response Get Nexus For Org V1 Nexus Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    Page_NexusResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NexusResponse'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[NexusResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NexusResponse:
      properties:
        processing_status:
          $ref: '#/components/schemas/NexusStatusEnum'
          default: UP_TO_DATE
        status:
          $ref: '#/components/schemas/NexusStateEnum'
          default: NOT_EXPOSED
        country_code:
          $ref: '#/components/schemas/CountryCodeEnum'
        state_code:
          type: string
          title: State Code
        state_name:
          type: string
          title: State Name
        treatment_of_exempt_transactions:
          $ref: '#/components/schemas/TreatmentEnum'
        trigger:
          type: string
          title: Trigger
        sales_or_transactions:
          $ref: '#/components/schemas/SalesOrTransactionsEnum'
        threshold_sales:
          type: integer
          title: Threshold Sales
        threshold_transactions:
          type: integer
        start_date:
          type: string
          format: date
          title: Start Date
        transaction_count:
          type: integer
          title: Transaction Count
          default: 0
        transactions_amount:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Transactions Amount
          default: '0.00'
        previous_transaction_count:
          type: integer
          title: Previous Transaction Count
          description: >-
            Deprecated: transaction_count now includes both current and previous
            period values when period_model is CURRENT_OR_PREVIOUS
          default: 0
          deprecated: true
        previous_transactions_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Previous Transactions Amount
          description: >-
            Deprecated: transactions_amount now includes both current and
            previous period values when period_model is CURRENT_OR_PREVIOUS
          default: '0.00'
          deprecated: true
        calculated_tax_liability:
          default: '0.00'
          type: string
        imported_tax_liability:
          default: '0.00'
          type: string
        tax_liability:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Tax Liability
          default: '0.00'
        nexus_met:
          type: boolean
          title: Nexus Met
          default: false
        nexus_met_date:
          type: string
        economic_nexus_met:
          type: boolean
          title: Economic Nexus Met
          default: false
        economic_nexus_met_date:
          type: string
        physical_nexus_met:
          type: boolean
          title: Physical Nexus Met
          default: false
        physical_nexus_met_date:
          type: string
        collected_tax_nexus_met:
          default: false
          type: boolean
        collected_tax_nexus_met_date:
          type: string
        period_model:
          $ref: '#/components/schemas/PeriodModelEnum'
        period_start_date:
          type: string
          format: date
          title: Period Start Date
        period_end_date:
          type: string
          format: date
          title: Period End Date
        previous_period_start_date:
          type: string
        previous_period_end_date:
          type: string
        earliest_transaction_date:
          type: string
        most_recent_transaction_date:
          type: string
        find_threshold_crossing_transaction_state:
          $ref: '#/components/schemas/FindThresholdCrossingTransactionState'
        earliest_collected_date:
          type: string
          format: date-time
          title: Earliest Collected Date
          default: '2018-01-01T00:00:00'
        predicted_month_from_today:
          type: integer
        vda_eligible:
          default: false
          type: boolean
        confidence_level:
          type: number
        last_processed_at:
          type: string
        last_tax_liability_processed_at:
          type: string
        periods:
          type: array
          items:
            additionalProperties: true
            type: object
        currency:
          $ref: '#/components/schemas/CurrencyEnum'
          description: Currency code for the nexus (e.g., USD, CAD).
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        organization_id:
          type: string
          title: Organization Id
        registration:
          type: object
        registration_regime:
          $ref: '#/components/schemas/RegistrationsRegimeEnum'
        disregarded_at:
          type: string
        disregarded_by:
          type: string
        disregarded_nexus_types:
          items:
            type: string
          type: array
          title: Disregarded Nexus Types
        is_currently_disregarded:
          type: boolean
          title: Is Currently Disregarded
          default: false
        is_vda_eligible:
          type: boolean
          title: Is Vda Eligible
          readOnly: true
        nexus_type:
          $ref: '#/components/schemas/NexusTypeEnum'
          readOnly: true
        total_transactions:
          type: integer
          title: Total Transactions
          readOnly: true
        total_transactions_included:
          type: integer
          title: Total Transactions Included
          readOnly: true
        total_transactions_exempted:
          type: integer
          title: Total Transactions Exempted
          readOnly: true
        total_transactions_marketplace:
          type: integer
          title: Total Transactions Marketplace
          readOnly: true
        marketplace_included:
          readOnly: true
          type: boolean
      type: object
      required:
        - country_code
        - state_code
        - state_name
        - treatment_of_exempt_transactions
        - trigger
        - sales_or_transactions
        - threshold_sales
        - threshold_transactions
        - start_date
        - period_model
        - period_start_date
        - period_end_date
        - previous_period_start_date
        - previous_period_end_date
        - id
        - created_at
        - updated_at
        - organization_id
        - is_vda_eligible
        - nexus_type
        - total_transactions
        - total_transactions_included
        - total_transactions_exempted
        - total_transactions_marketplace
        - marketplace_included
      title: NexusResponse
    ValidationError:
      properties:
        loc:
          items:
            type: string
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NexusStatusEnum:
      type: string
      enum:
        - NEEDS_RERUN
        - UP_TO_DATE
        - NOT_READY
      title: NexusStatusEnum
    NexusStateEnum:
      type: string
      enum:
        - EXPOSED
        - APPROACHING
        - PENDING_REGISTRATION
        - OSS_PENDING_REGISTRATION
        - REGISTERED
        - OSS_REGISTERED
        - NOT_EXPOSED
      title: NexusStateEnum
    CountryCodeEnum:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - CI
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - XK
        - ZZ_EU
      title: CountryCodeEnum
    TreatmentEnum:
      type: string
      enum:
        - INCLUDED
        - EXCLUDED
        - DEPENDS
        - INCLUDE_IF_PRESENCE
        - YES_SALES_NO_TRANSACTIONS
      title: TreatmentEnum
    SalesOrTransactionsEnum:
      type: string
      enum:
        - EITHER
        - SALES
        - BOTH
        - TRANSACTIONS
      title: SalesOrTransactionsEnum
    PeriodModelEnum:
      type: string
      enum:
        - CURRENT_OR_PREVIOUS
        - PRECEDING_YEAR_FROM_OCTOBER
        - CALENDAR_YEAR
        - PREVIOUS_12_MONTHS
        - PREVIOUS_4_QUARTERS
        - PREVIOUS_4_QUARTERS_OFFSET
        - PRECEDING_YEAR
        - PRECEDING_YEAR_QUARTERLY
        - PRECEDING_YEAR_QUARTERLY_OFFSET
      title: PeriodModelEnum
    FindThresholdCrossingTransactionState:
      properties:
        last_txn_id:
          type: string
        last_txn_datetime:
          type: string
        period_start_date:
          type: string
          title: Period Start Date
        period_end_date:
          type: string
          title: Period End Date
        running_sales_total_decimal:
          type: string
          title: Running Sales Total Decimal
        running_transaction_count:
          type: integer
          title: Running Transaction Count
        has_all_marketplace_transactions:
          type: boolean
          title: Has All Marketplace Transactions
      type: object
      required:
        - period_start_date
        - period_end_date
        - running_sales_total_decimal
        - running_transaction_count
        - has_all_marketplace_transactions
      title: FindThresholdCrossingTransactionState
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SPL
        - SRD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TVD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XDR
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
        - ZWD
      title: CurrencyEnum
    RegistrationsRegimeEnum:
      type: string
      enum:
        - STANDARD
        - SIMPLIFIED
      title: RegistrationsRegimeEnum
    NexusTypeEnum:
      type: string
      enum:
        - CANADA_FEDERAL
        - EU_AGGREGATOR
        - STATE
        - EU_MEMBER_STATE
      title: NexusTypeEnum
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````